CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2012-4514

rendering/render_replaced.cpp in Konqueror in KDE before 4.9.3 allows remote attackers to cause a denial of service (NULL pointer dereference) via a crafted web page, related to "trying to reuse a frame with a null part."
Publish Date : 2012-11-11 Last Update Date : 2012-11-12
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID CWE id is not defined for this vulnerability

- Products Affected By CVE-2012-4514

# Product Type Vendor Product Version Update Edition Language
1 OS KDE KDE 1.0 Version Details Vulnerabilities
2 OS KDE KDE 1.X Version Details Vulnerabilities
3 OS KDE KDE 1.1 Version Details Vulnerabilities
4 OS KDE KDE 1.1.1 Version Details Vulnerabilities
5 OS KDE KDE 1.1.2 Version Details Vulnerabilities
6 OS KDE KDE 1.2 Version Details Vulnerabilities
7 OS KDE KDE 2.0 Beta Version Details Vulnerabilities
8 OS KDE KDE 2.0 Version Details Vulnerabilities
9 OS KDE KDE 2.0.1 Version Details Vulnerabilities
10 OS KDE KDE 2.1 Version Details Vulnerabilities
11 OS KDE KDE 2.1 Beta2 Version Details Vulnerabilities
12 OS KDE KDE 2.1 Beta1 Version Details Vulnerabilities
13 OS KDE KDE 2.1.1 Version Details Vulnerabilities
14 OS KDE KDE 2.1.2 Version Details Vulnerabilities
15 OS KDE KDE 2.2 Beta1 Version Details Vulnerabilities
16 OS KDE KDE 2.2 Version Details Vulnerabilities
17 OS KDE KDE 2.2.1 Version Details Vulnerabilities
18 OS KDE KDE 2.2.2 Version Details Vulnerabilities
19 OS KDE KDE 3.0 Version Details Vulnerabilities
20 OS KDE KDE 3.0 Beta 2 Version Details Vulnerabilities
21 OS KDE KDE 3.0 Beta 1 Version Details Vulnerabilities
22 OS KDE KDE 3.0.1 Version Details Vulnerabilities
23 OS KDE KDE 3.0.2 Version Details Vulnerabilities
24 OS KDE KDE 3.0.3 Version Details Vulnerabilities
25 OS KDE KDE 3.0.3a Version Details Vulnerabilities
26 OS KDE KDE 3.0.4 Version Details Vulnerabilities
27 OS KDE KDE 3.0.5b Version Details Vulnerabilities
28 OS KDE KDE 3.0.5 Version Details Vulnerabilities
29 OS KDE KDE 3.0.5a Version Details Vulnerabilities
30 OS KDE KDE 3.1 Alpha1 Version Details Vulnerabilities
31 OS KDE KDE 3.1 Version Details Vulnerabilities
32 OS KDE KDE 3.1 Beta1 Version Details Vulnerabilities
33 OS KDE KDE 3.1 Beta2 Version Details Vulnerabilities
34 OS KDE KDE 3.1.0 Version Details Vulnerabilities
35 OS KDE KDE 3.1.1a Version Details Vulnerabilities
36 OS KDE KDE 3.1.1 Version Details Vulnerabilities
37 OS KDE KDE 3.1.2 Version Details Vulnerabilities
38 OS KDE KDE 3.1.3 Version Details Vulnerabilities
39 OS KDE KDE 3.1.4 Version Details Vulnerabilities
40 OS KDE KDE 3.1.5 Version Details Vulnerabilities
41 OS KDE KDE 3.2 Version Details Vulnerabilities
42 OS KDE KDE 3.2.0 Version Details Vulnerabilities
43 OS KDE KDE 3.2.0 Beta1 Version Details Vulnerabilities
44 OS KDE KDE 3.2.x Version Details Vulnerabilities
45 OS KDE KDE 3.2.1 Version Details Vulnerabilities
46 OS KDE KDE 3.2.2 Version Details Vulnerabilities
47 OS KDE KDE 3.2.3 Version Details Vulnerabilities
48 OS KDE KDE 3.3 Version Details Vulnerabilities
49 OS KDE KDE 3.3.x Version Details Vulnerabilities
50 OS KDE KDE 3.3.0 Version Details Vulnerabilities
51 OS KDE KDE 3.3.1 Version Details Vulnerabilities
52 OS KDE KDE 3.3.2 Version Details Vulnerabilities
53 OS KDE KDE 3.4 Version Details Vulnerabilities
54 OS KDE KDE 3.4.0 Version Details Vulnerabilities
55 OS KDE KDE 3.4.1 Version Details Vulnerabilities
56 OS KDE KDE 3.4.2 Version Details Vulnerabilities
57 OS KDE KDE 3.4.3 Version Details Vulnerabilities
58 OS KDE KDE 3.5 Version Details Vulnerabilities
59 OS KDE KDE 3.5.0 Version Details Vulnerabilities
60 OS KDE KDE 3.5.1 Version Details Vulnerabilities
61 OS KDE KDE 3.5.2 Version Details Vulnerabilities
62 OS KDE KDE 3.5.3 Version Details Vulnerabilities
63 OS KDE KDE 3.5.4 Version Details Vulnerabilities
64 OS KDE KDE 3.5.5 Version Details Vulnerabilities
65 OS KDE KDE 3.5.6 Version Details Vulnerabilities
66 OS KDE KDE 3.5.7 Version Details Vulnerabilities
67 OS KDE KDE 3.5.8 Version Details Vulnerabilities
68 OS KDE KDE 3.5.9 Version Details Vulnerabilities
69 OS KDE KDE 3.5.10 Version Details Vulnerabilities
70 OS KDE KDE 4.0.0 Version Details Vulnerabilities
71 OS KDE KDE 4.0.1 Version Details Vulnerabilities
72 OS KDE KDE 4.0.2 Version Details Vulnerabilities
73 OS KDE KDE 4.0.3 Version Details Vulnerabilities
74 OS KDE KDE 4.7.3 Version Details Vulnerabilities
75 OS KDE KDE 4.9.0 Version Details Vulnerabilities
76 OS KDE KDE 4.9.1 Version Details Vulnerabilities
77 OS KDE KDE 4.9.2 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
KDE KDE 77

- References For CVE-2012-4514

http://archives.neohapsis.com/archives/bugtraq/2012-11/0005.html
BUGTRAQ 20121030 Medium risk security flaws in Konqueror
http://quickgit.kde.org/index.php?p=kdelibs.git&a=commitdiff&h=65464349951e0df9b5d80c2eb3cc7458d54923ae CONFIRM
https://bugs.kde.org/show_bug.cgi?id=271528 CONFIRM
http://www.openwall.com/lists/oss-security/2012/10/30/6
MLIST [oss-security] 20121030 Medium risk security flaws in Konqueror
http://www.openwall.com/lists/oss-security/2012/10/11/11
MLIST [oss-security] 20121011 Re: Pre-advisory for Konqueror 4.7.3 (other versions may be affected)
http://www.nth-dimension.org.uk/pub/NDSA20121010.txt.asc

- Metasploit Modules Related To CVE-2012-4514

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.